using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using BazaZamowien.Classes;

namespace BazaZamowien
{
    public partial class RealizacjaForm : Form
    {
        public RealizacjaForm(int IDE, int IDEzam, bool nowa)
        {
            InitializeComponent();

            realizacjeTableAdapter.Connection.ConnectionString = ConnString.getConnString().ZamowieniaConnStr;

            if (!nowa)
            {
                this.realizacjeTableAdapter.FillByIDE(this.zamowieniaDataSet.Realizacje, IDE);
            }
            else
            {
                DataView datatable = (DataView)this.realizacjeBindingSource.List;
                DataRowView row = datatable.AddNew();
            //    row["IDE"] = IDE;
                row["Data"] = DateTime.Today;
                row["IDEZamowienie"] = IDEzam;
                realizacjeBindingSource.EndEdit();

            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.realizacjeBindingSource.EndEdit();
            this.realizacjeTableAdapter.Update(this.zamowieniaDataSet.Realizacje);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            
        }
    }
}